torchaudio.datasets
====================

.. py:module:: torchaudio.datasets

All datasets are subclasses of :class:`torch.utils.data.Dataset`
and have ``__getitem__`` and ``__len__`` methods implemented.
Hence, they can all be passed to a :class:`torch.utils.data.DataLoader`
which can load multiple samples parallelly using ``torch.multiprocessing`` workers.
For example: ::

    yesno_data = torchaudio.datasets.YESNO('.', download=True)
    data_loader = torch.utils.data.DataLoader(yesno_data,
                                              batch_size=1,
                                              shuffle=True,
                                              num_workers=args.nThreads)

.. currentmodule:: torchaudio.datasets


CMUARCTIC
~~~~~~~~~

.. autoclass:: CMUARCTIC
  :members:
  :special-members: __getitem__


CMUDict
~~~~~~~~~

.. autoclass:: CMUDict
  :members:
  :special-members: __getitem__


COMMONVOICE
~~~~~~~~~~~

.. autoclass:: COMMONVOICE
  :members:
  :special-members: __getitem__


GTZAN
~~~~~

.. autoclass:: GTZAN
  :members:
  :special-members: __getitem__


LibriMix
~~~~~~~~

.. autoclass:: LibriMix
  :members:
  :special-members: __getitem__


LIBRISPEECH
~~~~~~~~~~~

.. autoclass:: LIBRISPEECH
  :members:
  :special-members: __getitem__


LibriLightLimited
~~~~~~~~~~~~~~~~~

.. autoclass:: LibriLightLimited
  :members:
  :special-members: __getitem__


LIBRITTS
~~~~~~~~

.. autoclass:: LIBRITTS
  :members:
  :special-members: __getitem__


LJSPEECH
~~~~~~~~

.. autoclass:: LJSPEECH
  :members:
  :special-members: __getitem__


SPEECHCOMMANDS
~~~~~~~~~~~~~~

.. autoclass:: SPEECHCOMMANDS
  :members:
  :special-members: __getitem__


TEDLIUM
~~~~~~~~~~~~~~

.. autoclass:: TEDLIUM
  :members:
  :special-members: __getitem__


VCTK_092
~~~~~~~~

.. autoclass:: VCTK_092
  :members:
  :special-members: __getitem__


VoxCeleb1Identification
~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: VoxCeleb1Identification
  :members:
  :special-members: __getitem__


VoxCeleb1Verification
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: VoxCeleb1Verification
  :members:
  :special-members: __getitem__


DR_VCTK
~~~~~~~~

.. autoclass:: DR_VCTK
  :members:
  :special-members: __getitem__


YESNO
~~~~~

.. autoclass:: YESNO
  :members:
  :special-members: __getitem__

QUESST14
~~~~~~~~

.. autoclass:: QUESST14
  :members:
  :special-members: __getitem__

FluentSpeechCommands
~~~~~~~~~~~~~~~~~~~~

.. autoclass:: FluentSpeechCommands
  :members:
  :special-members: __getitem__


MUSDB_HQ
~~~~~~~~

.. autoclass:: MUSDB_HQ
  :members:
  :special-members: __getitem__


References
~~~~~~~~~~

.. footbibliography::
